package com.sysu.admin.support.system.user;

import com.sysu.admin.support.base.BaseService;
import com.xiesx.fastboot.core.jpa.JpaPlusRepository;
import org.springframework.stereotype.Service;

/**
 * @author shu hao
 * @description:
 * @date 2022/5/16 17:42
 */
@Service
public class UserService extends BaseService<User, Long> {
    @Override
    public JpaPlusRepository<User, Long> r() {
        return mUserRepository;
    }

    public User findByUsername(String username){
        return mUserRepository.findByUsername(username);
    }
}
